Bug 209697 - net/citrix_ica: "Cannot process request" setting up Citrix connection
Summary: net/citrix_ica: "Cannot process request" setting up Citrix connection
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Carlo Strub
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2016-05-22 16:05 UTC by Marcin Cieślak
Modified: 2019-01-06 02:21 UTC (History)
3 users (show)

See Also:
koobs: merge-quarterly?


Attachments
$HOME/.ICAClient directory (8.92 KB, application/gzip)
2016-05-22 16:05 UTC, Marcin Cieślak
no flags Details
typescript of wfcmgr running (last stage) (2.61 KB, text/plain)
2016-05-22 16:06 UTC, Marcin Cieślak
no flags Details
ktrace of AuthManagerDaemon (33.67 KB, application/octet-string)
2016-05-22 16:08 UTC, Marcin Cieślak
no flags Details
ktrace of ServiceRecord (gzipped) (89.39 KB, application/gzip)
2016-05-22 16:09 UTC, Marcin Cieślak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Cieślak 2016-05-22 16:05:51 UTC
Created attachment 170547 [details]
$HOME/.ICAClient directory

Running FreeBSD 11.0-CURRENT #1 r298620 (HVM client under Xen).

Trying to configure Citrix client - connecting remotely to the FreeBSD server via VNC. Fresh VM, fresh installation.


After starting wfcmgr when I try to "Add Account" I am getting
"Your account cannot be added usng this server address.
Make sure you entered it correctly.

Cannot process request"

In the terminal I get the following messages:

Command: wfcmgr
Xlib:  extension "RANDR" missing on display ":1".
Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix element
Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix element
Fontconfig warning: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 78: saw unknown, expected number

(configmgr:5324): Gtk-WARNING **: Error loading icon from file '/usr/local/ICAClient//icons/000_Receiver_64.png':
        Couldn't recognize the image file format for file '/usr/local/ICAClient//icons/000_Receiver_64.png'
/usr/local/ICAClient//util/storebrowse: error while loading shared libraries: libxml2.so.2: cannot open shared object file: No such file or directory
/usr/local/ICAClient//util/storebrowse: error while loading shared libraries: libxml2.so.2: cannot open shared object file: No such file or directory

(many times).

After installing linux-c6-libxml2-2.7.6_5 manually I try again:

The wfcmgr pops up but in the terminal I can see the message

Unable to stat EULA file /usr/local/ICAClient//nls/en/eula.txt
EULA was rejected.

I have fixed this by running as root:

echo test > /usr/local/ICAClient/nls/en/eula.txt

The next attempt brings the EULA popup which I can "approve"
and then I get the messages:

Launching AuthManagerDaemon:: Permission denied
Launching ServiceRecord daemon:: Permission denied

Then I try to run:

chmod a+x /usr/local/ICAClient/selfservice /usr/local/ICAClient/ServiceRecord /usr/local/ICAClient/AuthManagerDaemon /usr/local/ICAClient/PrimaryAuthManager /usr/local/ICAClient/FlashContainer.bin 

as root.

When I try to add the connection in the wfcmgr this time
I can see this message:

Error adding store:AM_ERROR_UNKNOWN[-2147418113]

After the 3rd attempt to do so I get those two processes running:

5472  2  I     0:00.02 /usr/local/ICAClient/AuthManagerDaemon
5473  2  I     0:00.08 /usr/local/ICAClient/ServiceRecord
Comment 1 Marcin Cieślak 2016-05-22 16:06:54 UTC
Created attachment 170548 [details]
typescript of wfcmgr running (last stage)

This is a script output of the wfcmgr after libxml2 and chmod a+x problems have been fixed.
Comment 2 Marcin Cieślak 2016-05-22 16:08:03 UTC
Created attachment 170549 [details]
ktrace of AuthManagerDaemon

ktrace of AuthManagerDaemon
Comment 3 Marcin Cieślak 2016-05-22 16:09:38 UTC
Created attachment 170550 [details]
ktrace of ServiceRecord (gzipped)

gzipped ktrace of ServiceRecord
Comment 4 Emanuel Haupt freebsd_committer 2016-05-23 16:16:44 UTC
Back to the pool as I no longer use this software.
Comment 5 VK freebsd_triage 2016-05-23 18:21:05 UTC
Removing maintainer feedback request, as per revision 415722, and Comment #4, this port is unmaintained.
Comment 6 commit-hook freebsd_committer 2017-01-19 16:48:04 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Jan 19 16:47:21 UTC 2017
New revision: 431886
URL: https://svnweb.freebsd.org/changeset/ports/431886

Log:
  net/citrix_ica: Update to 13.4.0

  - Allow build as non-root user with fakeroot
  - Re-generate patches to match newer release
  - Add dependency on linux:libxml2 [PR]
  - Install binaries as executable with pkg-plist [PR]

  PR:		209697
  Reported by:	Marcin Cie?lak <saper@saper.info>

Changes:
  head/net/citrix_ica/Makefile
  head/net/citrix_ica/distinfo
  head/net/citrix_ica/files/patch-linuxx86_hinst
  head/net/citrix_ica/files/patch-setupwfc
  head/net/citrix_ica/pkg-plist
Comment 7 Ben Woods freebsd_committer 2017-01-19 16:50:33 UTC
I have updated the port to a newer version, and fixed the libxml2 dependency and chmod issue for the binaries.

I can confirm I still have the final issue you note when trying to add an account in the GTK interface, error in GUI and output on the console:
Error adding store:AM_ERROR_UNKNOWN[-2147418113]
Comment 8 w.schwarzenfeld freebsd_triage 2018-01-16 08:59:01 UTC
Any new here?